ipc_lock
Prev | IPC utilities | Next

## Name

ipc_lock — Lock an ipc structure without rw_mutex held

## Synopsis

`struct kern_ipc_perm * ipc_lock (` | struct ipc_ids * | ids,
| int | id`)`;

## Arguments

`ids`

  IPC identifier set

`id`

  ipc id to look for

## Description

Look for an id in the ipc ids idr and lock the associated ipc object.

The ipc object is locked on exit.

This is the routine that should be called when the rw_mutex is not already held, i.e. idr tree not protected: it protects the idr tree in read mode during the `idr_find`.

Prev | Up | Next
ipc64_perm_to_ipc_perm | Home | ipc_lock_down